



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Node.js缓冲器</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Node.js缓冲器</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-02 00:10:55 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>纯JavaScript是Unicode友好的，但对二进制数据不是很好。当与TCP流或文件系统打交道时，有必要处理字节流。 Node提供缓冲器类，它提供实例来存储原始数据相似的一个整数数组，但对应于在V8堆外的原始存储器的分配。</p>
<p>Buffer类是一个全局类，可以在应用程序，导入缓冲模块进行访问。</p>
<h2>创建缓冲区</h2>
<p>Node缓冲器可以以各种方式来构造。</p>
<h3>方法 1</h3>
<p>以下是创建10个字节的汉缓冲的语法：</p>
<pre class="prettyprint linenums">var buf = new Buffer(10);</pre>
<h3>方法 2</h3>
<p>下面是用来从给定数组创建一个缓冲区的语法：</p>
<pre class="prettyprint linenums">var buf = new Buffer([10, 20, 30, 40, 50]);</pre>
<h3>方法 3</h3>
<p>下面是用来从给定的字符串和可选的编码类型创建缓冲区的语法：</p>
<pre class="prettyprint linenums">var buf = new Buffer("Simply Easy Learning", "utf-8");</pre>
<p>虽然&ldquo;UTF8&rdquo;是默认的编码，但你可以使用其它的编码： "ascii", "utf8", "utf16le", "ucs2", "base64" 或 "hex".</p>
<h2>写到缓冲器</h2>
<h3>语法</h3>
<p>以下被写入到一个节点缓冲器的方法的语法：</p>
<pre class="prettyprint linenums">buf.write(string[, offset][, length][, encoding])</pre>
<h3>参数</h3>
<p>下面是使用的参数的说明：</p>
<ul><li><p>string&nbsp;- 这是要被写入的数据串缓冲区。</p></li>
<li><p>offset&nbsp;- 这是缓冲区开始的索引。默认值为0。</p></li>
<li><p>length&nbsp;- 这是要写入的字节的数目。默认是&nbsp;buffer.length</p></li>
<li><p>encoding&nbsp;- 编码使用。 &ldquo;UTF8&rdquo;是默认的编码</p></li></ul>
<h3>返回值</h3>
<p>这个方法返回写入的字节数。如果没有足够的空间在缓冲，以适应整个字符串，它将写该字符串的一部分。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">buf = new Buffer(256);
len = buf.write("Simply Easy Learning");

console.log("Octets written : "+  len);</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">Octets written : 20</pre>
<h2>从缓冲器读取</h2>
<h3>语法</h3>
<p>下面是从节点缓冲器的数据的方法读取的语法：</p>
<pre class="prettyprint linenums">buf.toString([encoding][, start][, end])</pre>
<h3>参数</h3>
<p>下面是使用的参数的说明：</p>
<ul><li><p>encoding&nbsp;- 编码使用。 &ldquo;UTF8&rdquo;是默认的编码</p></li>
<li><p>start&nbsp;- 开始读取的索引，默认为0。</p></li>
<li><p>end&nbsp;- 最终读数结束的索引，默认值是整个缓冲区。</p></li></ul>
<h3>返回值</h3>
<p>此方法解码并返回来自使用指定的字符集编码的编码缓冲器的数据的字符串。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">buf = new Buffer(26);
for (var i = 0 ; i &lt; 26 ; i++) {
  buf[i] = i + 97;
}

console.log( buf.toString('ascii'));       // outputs: abcdefghijklmnopqrstuvwxyz
console.log( buf.toString('ascii',0,5));   // outputs: abcde
console.log( buf.toString('utf8',0,5));    // outputs: abcde
console.log( buf.toString(undefined,0,5)); // encoding defaults to 'utf8', outputs abcde</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">abcdefghijklmnopqrstuvwxyz
abcde
abcde
abcde</pre>
<h2>转换缓冲到JSON</h2>
<h3>语法</h3>
<p>以下是转换节点缓存到JSON对象方法的语法：</p>
<pre class="prettyprint linenums">buf.toJSON()</pre>
<h3>返回值</h3>
<p>此方法返回缓冲区JSON-表示。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">var buf = new Buffer('Simply Easy Learning');
var json = buf.toJSON(buf);

console.log(json);</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">[ 83, 105, 109, 112, 108, 121, 32, 69, 97, 115, 121, 32, 76, 101, 97, 114, 110, 105, 110, 103 ]</pre>
<h2>接续缓冲器</h2>
<h3>语法</h3>
<p>以下是连接Node缓存到单个节点缓存方法的语法：</p>
<pre class="prettyprint linenums">Buffer.concat(list[, totalLength])</pre>
<h3>参数</h3>
<p>下面是使用的参数的说明：</p>
<ul><li><p>list&nbsp;-要连接缓冲区的数组对象列表</p></li>
<li><p>totalLength&nbsp;- 这是缓冲器连接在一起时的总长度</p></li></ul>
<h3>返回值</h3>
<p>该方法返回一个缓冲区实例。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">var buffer1 = new Buffer('YiiBai ');
var buffer2 = new Buffer('Simply Easy Learning');
var buffer3 = Buffer.concat([buffer1,buffer2]);
console.log("buffer3 content: " + buffer3.toString());</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">buffer3 content: YiiBai Simply Easy Learning</pre>
<h2>比较缓冲器</h2>
<h3>语法</h3>
<p>下面是比较两个Node缓冲器的方法的语法：</p>
<pre class="prettyprint linenums">buf.compare(otherBuffer);</pre>
<h3>参数</h3>
<p>下面是使用参数的说明：</p>
<ul><li><p>otherBuffer&nbsp;- 这是将与被比较的其它缓冲&nbsp;buf</p></li></ul>
<h3>返回值</h3>
<p>返回一个数字，表示否到来之前或之后或和otherBuffer排序顺序一样。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">var buffer1 = new Buffer('ABC');
var buffer2 = new Buffer('ABCD');
var result = buffer1.compare(buffer2);

if(result &lt; 0) {
   console.log(buffer1 +" comes before " + buffer2);
}else if(result == 0){
   console.log(buffer1 +" is same as " + buffer2);
}else {
   console.log(buffer1 +" comes after " + buffer2);
}</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">ABC comes before ABCD</pre>
<h2>复制缓冲区</h2>
<h3>语法</h3>
<p>以下是复制节点缓冲器的方法的语法：</p>
<pre class="prettyprint linenums">buf.copy(targetBuffer[, targetStart][, sourceStart][, sourceEnd])</pre>
<h3>参数</h3>
<p>下面是使用的参数的说明：</p>
<ul><li><p>targetBuffer&nbsp;- 缓冲区对象的缓冲区将被复制。</p></li>
<li><p>targetStart&nbsp;- 数量，可选，默认：0</p></li>
<li><p>sourceStart&nbsp;- 数量，可选，默认：0</p></li>
<li><p>sourceEnd&nbsp;- 数量，可选，默认：buffer.length</p></li></ul>
<h3>返回值</h3>
<p>没有返回值。拷贝数据从该缓冲器的一区域中，即使在目标内存区域与源重叠的目标缓冲器的区域。如果不确定targetStart，那么sourceStart参数默认为0，sourceEnd默认为buffer.length。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">var buffer1 = new Buffer('ABC');
//copy a buffer
var buffer2 = new Buffer(3);
buffer1.copy(buffer2);
console.log("buffer2 content: " + buffer2.toString());</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">buffer2 content: ABC</pre>
<h2>切片式缓冲器</h2>
<h3>语法</h3>
<p>以下是获得一个节点缓冲器的子缓冲器的方法的语法：</p>
<pre class="prettyprint linenums">buf.slice([start][, end])</pre>
<h3>参数</h3>
<p>下面是使用的参数的说明：</p>
<ul><li><p>start&nbsp;- 数量，可选，默认：0</p></li>
<li><p>end&nbsp;- 数量可选，默认：buffer.length</p></li></ul>
<h3>返回值</h3>
<p>返回一个新的缓冲区，它引用相同的内存如old，并 start 切片（默认为0）和 end（默认为buffer.length）索引。负索引则从缓冲区末尾开始。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">var buffer1 = new Buffer('YiiBai');
//slicing a buffer
var buffer2 = buffer1.slice(0,9);
console.log("buffer2 content: " + buffer2.toString());</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">buffer2 content: Yiibai</pre>
<h2>缓冲区长度</h2>
<h3>语法</h3>
<p>以下是得到以字节为单位的节点缓冲器的大小的方法的语法：</p>
<pre class="prettyprint linenums">buf.length;</pre>
<h3>返回值</h3>
<p>返回缓冲器的字节的大小。</p>
<h3>示例</h3>
<pre class="prettyprint linenums">var buffer = new Buffer('YiiBai');
//length of the buffer
console.log("buffer length: " + buffer.length);</pre>
<p>当上述程序被执行时，它会产生以下结果：</p>
<pre class="prettyprint linenums">buffer length: 14</pre>
<h2>方法参考</h2>
<p>以下是缓冲模块提供node.js参考，进一步的细节，可以参考官方文档。</p>
<table>
<tbody>
<tr>
<th>SN</th>
<th>方法 &amp; 描述</th>
</tr>
<tr>
<td>1</td>
<td>new Buffer(size)&nbsp;<br />分配的大小为八位的一个新缓冲区。请注意，size不得超过kMaxLength。否则，引发RangeError将在这里抛出。</td>
</tr>
<tr>
<td>2</td>
<td>new Buffer(buffer)&nbsp;<br />复制传递的缓冲区的数据到一个新的缓冲实例。</td>
</tr>
<tr>
<td>3</td>
<td>new Buffer(str[, encoding])<br />分配包含给定str是一个新的缓冲区。编码默认为&nbsp;'utf8'.</td>
</tr>
<tr>
<td>4</td>
<td>buf.length<br />返回字节缓冲区的大小。注意，这并不一定是contents. length长度大小。存储器分配给缓冲对象的量。当缓冲器的内容被改变它不会改变。</td>
</tr>
<tr>
<td>5</td>
<td>buf.write(string[, offset][, length][, encoding])<br />写入字符串的使用给定的编码偏移缓冲区。 offset 默认是 0, 编码默认是 'utf8'. length 要写入的字节数。返回写入的字节数。</td>
</tr>
<tr>
<td>6</td>
<td>buf.writeUIntLE(value, offset, byteLength[, noAssert])<br />写入值到缓冲区指定的偏移量和byteLength。支持高达48位的精度。设置noAssert为true，以要跳过的值和偏移验证。默认为false。</td>
</tr>
<tr>
<td>7</td>
<td>buf.writeUIntBE(value, offset, byteLength[, noAssert])<br />写入值到缓冲区指定偏移量和byteLength。支持高达48位的精度。设置noAssert真要跳过的值和偏移验证。默认为false。</td>
</tr>
<tr>
<td>8</td>
<td>buf.writeIntLE(value, offset, byteLength[, noAssert])<br />写值到缓冲在指定偏移和byteLength. 支持高达48位的精度。设置noAssert真要跳过的值和偏移验证。默认为false。</td>
</tr>
<tr>
<td>9</td>
<td>buf.writeIntBE(value, offset, byteLength[, noAssert])<br />写入值到缓冲区指定的偏移量和byteLength。支持高达48位的精度。设置noAssert真要跳过的值和偏移验证。默认为false。</td>
</tr>
<tr>
<td>10</td>
<td>buf.readUIntLE(offset, byteLength[, noAssert])<br />广义版本是所有数值读取方法。支持高达48位的精度。设置noAssert为true时为跳过偏移验证。 这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>11</td>
<td>buf.readUIntBE(offset, byteLength[, noAssert])<br />广义版本是所有数值读取方法。支持高达48位的精度。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>12</td>
<td>buf.readIntLE(offset, byteLength[, noAssert])<br />广义版本是所有数值读取方法。支持高达48位的精度。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>13</td>
<td>buf.readIntBE(offset, byteLength[, noAssert])<br />广义版本是所有数值读取方法。支持高达48位的精度。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>14</td>
<td>buf.toString([encoding][, start][, end])<br />解码并返回使用指定的字符集编码编码缓冲数据的字符串。</td>
</tr>
<tr>
<td>15</td>
<td>buf.toJSON()<br />返回缓冲区实例的JSON-表示。JSON.stringify字符串化一个缓冲区实例时，隐式调用这个函数。</td>
</tr>
<tr>
<td>16</td>
<td>buf[index]<br />获取和设置字节索引。该值是指单个字节，所以合法范围为0x00和0xFF的十六进制或0和255之间。</td>
</tr>
<tr>
<td>17</td>
<td>buf.equals(otherBuffer)<br />返回otherBuffer是否有相同的字节的布尔值。</td>
</tr>
<tr>
<td>18</td>
<td>buf.compare(otherBuffer)<br />返回一个数字，表示是否到来之前或之后或在排序顺序和otherBuffer一样。</td>
</tr>
<tr>
<td>19</td>
<td>buf.copy(targetBuffer[, targetStart][, sourceStart][, sourceEnd])<br />从该缓冲器拷贝数据到一区域中，即使在目标内存区域与源重叠的目标缓冲器的区域。如果不确定targetStart和sourceStart参数默认为0，sourceEnd默认为buffer.length。</td>
</tr>
<tr>
<td>20</td>
<td>buf.slice([start][, end])<br />返回一个新的缓冲区，它引用相同的内存如old，但补偿并开始裁剪（默认为0）和结束（默认为buffer.length）索引。负索引从缓冲区末尾开始。</td>
</tr>
<tr>
<td>21</td>
<td>buf.readUInt8(offset[, noAssert])<br />从缓冲区读取一个无符号的8位整数指定的偏移量。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>22</td>
<td>buf.readUInt16LE(offset[, noAssert])<br />从缓冲区读取指定的偏移量与指定的endian格式的16位无符号整数。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>23</td>
<td>buf.readUInt16BE(offset[, noAssert])<br />从缓冲区读取指定偏移量与指定endian格式的16位无符号整数。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>24</td>
<td>buf.readUInt32LE(offset[, noAssert])<br />从缓冲区读取指定的偏移量与指定的endian格式的32位无符号整数。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>25</td>
<td>buf.readUInt32BE(offset[, noAssert])<br />从缓冲区读取指定偏移量使用指定的endian格式的32位无符号整数。设置noAssert为true时为跳过偏移验证。 这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>26</td>
<td>buf.readInt8(offset[, noAssert])<br />读取指定的偏移量从缓冲区中的有符号的8位整数。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>27</td>
<td>buf.readInt16LE(offset[, noAssert])<br />从缓冲区读取指定的偏移量使用指定endian格式有符号的16位整数。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>28</td>
<td>buf.readInt16BE(offset[, noAssert])<br />从缓冲区读取指定的偏移量使用指定endian格式有符号的16位整数。设置noAssert为true时为跳过偏移验证。 这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>29</td>
<td>buf.readInt32LE(offset[, noAssert])<br />从缓冲区读取指定的偏移量使用指定endian格式32位有符号整数。设置noAssert为true跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>30</td>
<td>buf.readInt32BE(offset[, noAssert])<br />从缓冲区读取指定的偏移量使用指定endian格式32位有符号整数。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>31</td>
<td>buf.readFloatLE(offset[, noAssert])<br />从缓冲区读取指定的偏移量使用指定尾数格式的32位浮点。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>32</td>
<td>buf.readFloatBE(offset[, noAssert])<br />从缓冲区读取指定的偏移量使用指定尾数格式的32位浮点。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>33</td>
<td>buf.readDoubleLE(offset[, noAssert])<br />从缓冲区指定的偏移量读取一个64位的double，使用指定的endian格式。设置noAssert为true时为跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>34</td>
<td>buf.readDoubleBE(offset[, noAssert])<br />读取一个64位的double从缓冲区指定的偏移量使用指定的endian格式。设置noAssert为true跳过偏移验证。这意味着，偏移可以是超出缓冲区的末尾。默认为false。</td>
</tr>
<tr>
<td>35</td>
<td>buf.writeUInt8(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量。注意，值必须是一个有效的无符号8位整数。设置noAssert为true时为跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非是一定正确。默认为false。</td>
</tr>
<tr>
<td>36</td>
<td>buf.writeUInt16LE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效的无符号的16位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>37</td>
<td>buf.writeUInt16BE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效的无符号的16位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>38</td>
<td>buf.writeUInt32LE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效的无符号的32位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能太大的具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>39</td>
<td>buf.writeUInt32BE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效的无符号的32位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能太大的具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>40</td>
<td>buf.writeInt8(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效符号的8位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值的缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>41</td>
<td>buf.writeInt16LE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效符号的16位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>42</td>
<td>buf.writeInt16BE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效符号的16位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>43</td>
<td>buf.writeInt32LE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效符号的32位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非你是一定的正确性。默认为false。</td>
</tr>
<tr>
<td>44</td>
<td>buf.writeInt32BE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是一个有效符号的32位整数。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>45</td>
<td>buf.writeFloatLE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是有效的32位浮点值。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长于缓冲区的末尾。这不应该被使用，除非一定正确。默认为false。</td>
</tr>
<tr>
<td>46</td>
<td>buf.writeFloatBE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是有效的32位浮点。设置noAssert为true时为要跳过的值和偏移验证。这意味着值可能具体函数和偏移可能超出导致被丢弃的值长过了缓冲区的末尾。 这不应该被使用，除非是正确的。默认为false。</td>
</tr>
<tr>
<td>47</td>
<td>buf.writeDoubleLE(value, offset[, noAssert])<br />写入值到缓冲区指定偏移量使用指定的endian格式. 注意，值必须是有效的64位double。设置noAssert为true为要跳过的值和偏移验证。这意味着值可能太大的具体函数和偏移可能超出导致被丢弃的缓冲区末尾的值。这不应该被使用，除非是正确的。默认为false。</td>
</tr>
<tr>
<td>48</td>
<td>buf.writeDoubleBE(value, offset[, noAssert])<br />写入值到缓冲区指定的偏移量使用指定endian格式。注意，值必须是有效的64位double。设置noAssert为true为要跳过的值和偏移验证。这意味着值可能太大的具体函数和偏移可能超出导致被默默地丢弃的值的缓冲区的末尾。这不应该被使用，除非是一定正确。默认为false。</td>
</tr>
<tr>
<td>49</td>
<td>buf.fill(value[, offset][, end])<br />填充指定值的缓冲区。如果偏移量（默认为0）和结束（默认为buffer.length）不给它填满整个缓冲区。</td>
</tr>
</tbody>
</table>
<h2>类方法</h2>
<table>
<tbody>
<tr>
<th>SN</th>
<th>方法 &amp; 描述</th>
</tr>
<tr>
<td>1</td>
<td>Buffer.isEncoding(encoding)<br />返回true如果编码为有效编码参数，否则返回false</td>
</tr>
<tr>
<td>2</td>
<td>Buffer.isBuffer(obj)<br />测试如果obj是一个缓冲</td>
</tr>
<tr>
<td>3</td>
<td>Buffer.byteLength(string[, encoding])<br />给出了一个字符串的实际字节长度。编码默认为'utf8'。 ''. 这是不一样的字符串，prototype.length返回字符串中的字符的数目</td>
</tr>
<tr>
<td>4</td>
<td>Buffer.concat(list[, totalLength])<br />返回一个缓冲器是连接所有的缓冲器列表中的共同的结果</td>
</tr>
<tr>
<td>5</td>
<td>Buffer.compare(buf1, buf2)<br />同buf1.compare（buf2）。有用于排序缓冲器数组</td>
</tr>
</tbody>
</table>
<div>&nbsp;</div>
<p>标签：<a href="http://www.yiibai.com/tag/Node/" rel="external nofollow noreferrer">Node</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.yiibai.com/tag/js/" rel="external nofollow noreferrer">js</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.yiibai.com/tag/%E7%BC%93%E5%86%B2%E5%99%A8/" rel="external nofollow noreferrer">缓冲器</a></p>
<div>本站文章除注明转载外，均为本站原创或编译<br />欢迎任何形式的转载，但请务必注明出处，尊重他人劳动共创优秀实例教程<br />转载请注明：文章转载自：易百教程&nbsp;[<a href="http://www.yiibai.com/" rel="external nofollow noreferrer">http:/www.yiibai.com</a>]<br />本文标题：Node.js缓冲器<br />本文地址：<a href="http://www.yiibai.com/nodejs/nodejs_buffers.html" rel="external nofollow noreferrer">http://www.yiibai.com/nodejs/nodejs_buffers.html</a></div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zl4vqy.html">WinForm中显示PDF文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqveoyj9.html">POJ2484 A Funny Game&lbrack;博弈论&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqddrpvq.html">weblogic10异常&colon;org&period;hibernate&period;hql&period;ast&period;HqlToken</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kg6w39.html">Node&period;js高级编程读书笔记 - 6 应用程序构建和调试  - Never</a>
		</li>
						<li><a href="https://www.batexi.com/a/495exk69.html">Blackfin DSP&lpar;五&rpar;：BF533的SPI接口</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjv0yz9.html">【springmvc Request】 springmvc请求接收参数的几种方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjjply8.html">ASP&period;NET Core官方资料入口</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjdrp38.html">PAT &lpar;Advanced Level&rpar; 1056&period; Mice and Rice &lpar;25&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1n3v2q.html">centos7搭建nexus maven私服&lpar;二&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2ey12q.html">php 计算坐标点方圆周围多少米的坐标算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25j703q.html">Acoustic modelling from the signal domain using CNNs</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g3kevq.html">为什么matlab激活完后还要激活（Matlab2012b license失效解决办法）</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g2ykzq.html">ubuntu 16&period;04在真实机安装后的静态ip的配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kopmy6q.html">delphi连接mysql不用添加DSN（mysql connector odbc 5&period;1版）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1v5ny2q.html">Mecanim高级主题：Mecanim Blend Tree应用、Blend Tree 选项、复合Blend Tree</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vxd64q.html">mybatis的namespace</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyv7y5mq.html">WPF 降低&period;net framework到4&period;0</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2xk2jl9.html">vue&plus;element-ui中的图片获取与上传</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy24ozx9.html">Socket读取页面</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2x2wyv9.html">浅谈数据库并发控制 - 锁和 MVCC</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8k1z2l39.html">封装Unity3d的dll时的经验总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdyndr8.html">WCF 项目应用连载&lbrack;2&rsqb; - 创建Lig日志系统</a>
			</li>
						<li><a href="https://www.batexi.com/a/90v54238.html">匿名类型和Object转换</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvw3ezq.html">java不求有功，但求无过&mdash;异常处理</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z17lwv9.html">spring mvc DispatcherServlet详解之一--request通过HandlerMaping获取控制器Controller过程</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4y16l0q.html">深入分析 Java I&sol;O 的工作机制--转载</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvwn3oq.html">JDK5-增强for循环</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxngr608.html">jad批量反编译class和jadeclipse集成到eclipse的设置方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2w11mxq.html">oracle中drop、delete和truncate的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/96onrp49.html">&period;net excel利用NPOI导入oracle</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
